package info.textgrid.lab.collatex.model.equivalences;

import static org.junit.Assert.*;

import java.io.StringWriter;
import java.net.URI;

import javax.xml.bind.JAXB;

import org.junit.Test;

public class EquivalencesTest {

	@Test
	public void testSerialization() {
		Equivalences equivalences = new Equivalences();
		Equivalence equivalence = new Equivalence();
		equivalence.setLocal(false);
		EToken token = new EToken();
		token.setNormalizedContent("Test");
		token.setPosition(new TokenIndex(URI.create("textgrid:does-not-exist"), 42));
		token.setType(TokenType.BASIC);
		equivalence.getTokens().add(token);
		
		EToken token2 = new EToken();
		token2.setNormalizedContent("täst");
		token2.setPosition(new TokenIndex(URI.create("textgrid:does-not-exist-too"), 23));
		token2.setType(TokenType.BASIC);
		equivalence.getTokens().add(token2);
		
		equivalences.getEquivalences().add(equivalence);
		
		StringWriter writer = new StringWriter();
		JAXB.marshal(equivalences, writer);
		System.out.println(writer.toString());
	}

}
